Assign data classifications to study role for study ID
put
/ec-auth-svc/rest/v1.0/dataclassification/{studyId}/studyrole/{studyRoleId}
Assign or update data classification levels for a specific study role in a study. Path parameters: studyId (UUID) identifies the study, studyRoleId (UUID) identifies the study role. Request body: List of DataClassificationIdLevelDto, where each element specifies a data classification ID (UUID) and the corresponding list of classification levels to set.
Request
Path Parameters
-
studyId(required): string(uuid)
Unique identifier (UUID) for the study.Example:
1442AC5976354C8BB403420E680283AD -
studyRoleId(required): string(uuid)
Unique identifier (UUID) for the study role.Example:
C54AA9745A524BE1B4C3A270D00F8346
Supported Media Types
- application/json
Root Schema : schema
Type:
objectDTO for Data Classification with specific levels per classification.
Show Source
-
dataClassificationId(required): string
Unique identifier for the Data Classification.Example:
899E66BCE1D8471F96F58A396C416E0D -
dataClassificationLevel(required): string
List of classification levels assigned to the data classification.Example:
["SITE","DEPOT"]
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Success. Returns a response object if save is successful.
Root Schema : schema
Type:
stringExamples
400 Response
Bad request
Root Schema : AuthResponse
Type:
objectGeneric API response wrapper containing result, error data, response version and status.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result data of the API response; actual type depends on the API
-
status: string
(none)
Indicates request success ("success") or failure ("failure").Example:
success -
version: integer
(int32)
Version of the response schema.Example:
1
Nested Schema : result
Type:
objectResult data of the API response; actual type depends on the API
Example:
oracle.doceng.json.BetterJsonNull@1466a41fNested Schema : details
Type:
object